Index: applications/editors/josm/plugins/toms/src/toms/msg/messages.properties
===================================================================
--- applications/editors/josm/plugins/toms/src/toms/msg/messages.properties	(revision 23061)
+++ applications/editors/josm/plugins/toms/src/toms/msg/messages.properties	(revision 23066)
@@ -1,2 +1,11 @@
+Buoy.01=Pillar Buoy
+Buoy.02=Can Buoy
+Buoy.03=Cone Buoy
+Buoy.04=Spar Buoy
+Buoy.05=Beacon
+Buoy.06=Tower
+Buoy.07=Float
+Buoy.10=Perch
+Buoy.11=*Select Shape*
 Toms.2=Hello World
 SmpDialogAction.0=Seamark Editor
Index: applications/editors/josm/plugins/toms/src/toms/msg/messages_de.properties
===================================================================
--- applications/editors/josm/plugins/toms/src/toms/msg/messages_de.properties	(revision 23061)
+++ applications/editors/josm/plugins/toms/src/toms/msg/messages_de.properties	(revision 23066)
@@ -1,5 +1,14 @@
+Buoy.01=Bakentonne
+Buoy.02=Stumpftonne
+Buoy.03=Cone Buoy
+Buoy.04=Spierentonne
+Buoy.05=Bake
+Buoy.06=Tower
+Buoy.07=Floß
+Buoy.10=Perch
+Buoy.11=*Wähle Form aus*
 Toms.2=Hallo Welt
 SmpDialogAction.0=Seezeichen Editor
-SmpDialogAction.1=Klasse:
+SmpDialogAction.1=Kategorie:
 SmpDialogAction.101=IALA
 SmpDialogAction.103=Typ:
@@ -71,3 +80,3 @@
 SmpDialogAction.210=X gelb
 SmpDialogAction.211=X rot
-
+SmpDialogAction.212=Unbekannt
Index: applications/editors/josm/plugins/toms/src/toms/msg/messages_en.properties
===================================================================
--- applications/editors/josm/plugins/toms/src/toms/msg/messages_en.properties	(revision 23061)
+++ applications/editors/josm/plugins/toms/src/toms/msg/messages_en.properties	(revision 23066)
@@ -1,2 +1,11 @@
+Buoy.01=Pillar Buoy
+Buoy.02=Can Buoy
+Buoy.03=Cone Buoy
+Buoy.04=Spar Buoy
+Buoy.05=Beacon
+Buoy.06=Tower
+Buoy.07=Float
+Buoy.10=Perch
+Buoy.11=*Select Shape*
 Toms.2=Hello World
 SmpDialogAction.0=Seamark Editor
@@ -73,2 +82,3 @@
 SmpDialogAction.210=Yellow X
 SmpDialogAction.211=Red X
+SmpDialogAction.212=Not set
Index: applications/editors/josm/plugins/toms/src/toms/seamarks/buoys/BuoyLat.java
===================================================================
--- applications/editors/josm/plugins/toms/src/toms/seamarks/buoys/BuoyLat.java	(revision 23061)
+++ applications/editors/josm/plugins/toms/src/toms/seamarks/buoys/BuoyLat.java	(revision 23066)
@@ -12,4 +12,5 @@
 import org.openstreetmap.josm.data.osm.Node;
 
+import toms.Messages;
 import toms.dialogs.SmpDialogAction;
 
@@ -32,69 +33,69 @@
 
 		dlg.cbM01StyleOfMark.removeAllItems();
-		dlg.cbM01StyleOfMark.addItem("Not set");
-		dlg.cbM01StyleOfMark.addItem("Pillar Buoy");
-		dlg.cbM01StyleOfMark.addItem("Spar Buoy");
-		dlg.cbM01StyleOfMark.addItem("Beacon");
-		dlg.cbM01StyleOfMark.addItem("Tower");
-		dlg.cbM01StyleOfMark.addItem("Float");
+		dlg.cbM01StyleOfMark.addItem(Messages.getString("SmpDialogAction.212")); //$NON-NLS-1$
+		dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.01")); //$NON-NLS-1$
+		dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.04")); //$NON-NLS-1$
+		dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.05")); //$NON-NLS-1$
+		dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.06")); //$NON-NLS-1$
+		dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.07")); //$NON-NLS-1$
 		dlg.cbM01StyleOfMark.setEnabled(true);
 
 		dlg.cbM01Kennung.removeAllItems();
-		dlg.cbM01Kennung.addItem("Not set");
-		dlg.cbM01Kennung.addItem("Fl");
-		dlg.cbM01Kennung.addItem("Fl()");
-		dlg.cbM01Kennung.addItem("Oc");
-		dlg.cbM01Kennung.addItem("Oc()");
-		dlg.cbM01Kennung.addItem("Q");
-		dlg.cbM01Kennung.addItem("IQ");
-		dlg.cbM01Kennung.addItem("Mo()");
+		dlg.cbM01Kennung.addItem(Messages.getString("SmpDialogAction.212")); //$NON-NLS-1$
+		dlg.cbM01Kennung.addItem("Fl"); //$NON-NLS-1$
+		dlg.cbM01Kennung.addItem("Fl()"); //$NON-NLS-1$
+		dlg.cbM01Kennung.addItem("Oc"); //$NON-NLS-1$
+		dlg.cbM01Kennung.addItem("Oc()"); //$NON-NLS-1$
+		dlg.cbM01Kennung.addItem("Q"); //$NON-NLS-1$
+		dlg.cbM01Kennung.addItem("IQ"); //$NON-NLS-1$
+		dlg.cbM01Kennung.addItem("Mo()"); //$NON-NLS-1$
 		dlg.cbM01Kennung.setSelectedIndex(0);
 
-		if (keys.containsKey("name"))
-			setName(keys.get("name"));
-
-		if (keys.containsKey("seamark:name"))
-			setName(keys.get("seamark:name"));
-
-		if (keys.containsKey("seamark:buoy_lateral:name"))
-			setName(keys.get("seamark:buoy_lateral:name"));
-		else if (keys.containsKey("seamark:beacon_lateral:name"))
-			setName(keys.get("seamark:beacon_lateral:name"));
-		else if (keys.containsKey("seamark:light_float:name"))
-			setName(keys.get("seamark:light_float:name"));
-
-		String cat = "";
-		String col = "";
-		String top = "";
+		if (keys.containsKey("name")) //$NON-NLS-1$
+			setName(keys.get("name")); //$NON-NLS-1$
+
+		if (keys.containsKey("seamark:name")) //$NON-NLS-1$
+			setName(keys.get("seamark:name")); //$NON-NLS-1$
+
+		if (keys.containsKey("seamark:buoy_lateral:name")) //$NON-NLS-1$
+			setName(keys.get("seamark:buoy_lateral:name")); //$NON-NLS-1$
+		else if (keys.containsKey("seamark:beacon_lateral:name")) //$NON-NLS-1$
+			setName(keys.get("seamark:beacon_lateral:name")); //$NON-NLS-1$
+		else if (keys.containsKey("seamark:light_float:name")) //$NON-NLS-1$
+			setName(keys.get("seamark:light_float:name")); //$NON-NLS-1$
+
+		String cat = ""; //$NON-NLS-1$
+		String col = ""; //$NON-NLS-1$
+		String top = ""; //$NON-NLS-1$
 
 		if (getStyleIndex() != LAT_PERCH) {
-			if (keys.containsKey("seamark:topmark:shape")) {
-				top = keys.get("seamark:topmark:shape");
+			if (keys.containsKey("seamark:topmark:shape")) { //$NON-NLS-1$
+				top = keys.get("seamark:topmark:shape"); //$NON-NLS-1$
 				setTopMark(true);
 			}
-			if (keys.containsKey("seamark:topmark:colour")) {
+			if (keys.containsKey("seamark:topmark:colour")) { //$NON-NLS-1$
 				setTopMark(true);
 			}
 		}
 
-		if (keys.containsKey("seamark:buoy_lateral:colour"))
-			col = keys.get("seamark:buoy_lateral:colour");
-		else if (keys.containsKey("seamark:beacon_lateral:colour"))
-			col = keys.get("seamark:beacon_lateral:colour");
-		else if (keys.containsKey("seamark:light_float:colour"))
-			col = keys.get("seamark:light_float:colour");
-
-		if (keys.containsKey("seamark:buoy_lateral:category"))
-			cat = keys.get("seamark:buoy_lateral:category");
-		else if (keys.containsKey("seamark:beacon_lateral:category"))
-			cat = keys.get("seamark:beacon_lateral:category");
-
-		if (cat.equals("")) {
-			if (col.equals("red")) {
+		if (keys.containsKey("seamark:buoy_lateral:colour")) //$NON-NLS-1$
+			col = keys.get("seamark:buoy_lateral:colour"); //$NON-NLS-1$
+		else if (keys.containsKey("seamark:beacon_lateral:colour")) //$NON-NLS-1$
+			col = keys.get("seamark:beacon_lateral:colour"); //$NON-NLS-1$
+		else if (keys.containsKey("seamark:light_float:colour")) //$NON-NLS-1$
+			col = keys.get("seamark:light_float:colour"); //$NON-NLS-1$
+
+		if (keys.containsKey("seamark:buoy_lateral:category")) //$NON-NLS-1$
+			cat = keys.get("seamark:buoy_lateral:category"); //$NON-NLS-1$
+		else if (keys.containsKey("seamark:beacon_lateral:category")) //$NON-NLS-1$
+			cat = keys.get("seamark:beacon_lateral:category"); //$NON-NLS-1$
+
+		if (cat.equals("")) { //$NON-NLS-1$
+			if (col.equals("red")) { //$NON-NLS-1$
 				setColour(RED);
-				if (top.equals("cylinder")) {
+				if (top.equals("cylinder")) { //$NON-NLS-1$
 					setBuoyIndex(PORT_HAND);
 					setRegion(IALA_A);
-				} else if (top.equals("cone, point up")) {
+				} else if (top.equals("cone, point up")) { //$NON-NLS-1$
 					setBuoyIndex(STARBOARD_HAND);
 					setRegion(IALA_B);
@@ -105,10 +106,10 @@
 						setBuoyIndex(STARBOARD_HAND);
 				}
-			} else if (col.equals("green")) {
+			} else if (col.equals("green")) { //$NON-NLS-1$
 				setColour(GREEN);
-				if (top.equals("cone, point up")) {
+				if (top.equals("cone, point up")) { //$NON-NLS-1$
 					setBuoyIndex(STARBOARD_HAND);
 					setRegion(IALA_A);
-				} else if (top.equals("cylinder")) {
+				} else if (top.equals("cylinder")) { //$NON-NLS-1$
 					setBuoyIndex(PORT_HAND);
 					setRegion(IALA_B);
@@ -119,10 +120,10 @@
 						setBuoyIndex(PORT_HAND);
 				}
-			} else if (col.equals("red;green;red")) {
+			} else if (col.equals("red;green;red")) { //$NON-NLS-1$
 				setColour(RED_GREEN_RED);
-				if (top.equals("cylinder")) {
+				if (top.equals("cylinder")) { //$NON-NLS-1$
 					setBuoyIndex(PREF_PORT_HAND);
 					setRegion(IALA_A);
-				} else if (top.equals("cone, point up")) {
+				} else if (top.equals("cone, point up")) { //$NON-NLS-1$
 					setBuoyIndex(PREF_STARBOARD_HAND);
 					setRegion(IALA_B);
@@ -133,10 +134,10 @@
 						setBuoyIndex(PREF_STARBOARD_HAND);
 				}
-			} else if (col.equals("green;red;green")) {
+			} else if (col.equals("green;red;green")) { //$NON-NLS-1$
 				setColour(GREEN_RED_GREEN);
-				if (top.equals("cone, point up")) {
+				if (top.equals("cone, point up")) { //$NON-NLS-1$
 					setBuoyIndex(PREF_STARBOARD_HAND);
 					setRegion(IALA_A);
-				} else if (top.equals("cylinder")) {
+				} else if (top.equals("cylinder")) { //$NON-NLS-1$
 					setBuoyIndex(PREF_PORT_HAND);
 					setRegion(IALA_B);
@@ -148,12 +149,12 @@
 				}
 			}
-		} else if (cat.equals("port")) {
+		} else if (cat.equals("port")) { //$NON-NLS-1$
 
 			setBuoyIndex(PORT_HAND);
 
-			if (col.equals("red")) {
+			if (col.equals("red")) { //$NON-NLS-1$
 				setRegion(IALA_A);
 				setColour(RED);
-			} else if (col.equals("green")) {
+			} else if (col.equals("green")) { //$NON-NLS-1$
 				setRegion(IALA_B);
 				setColour(GREEN);
@@ -164,12 +165,12 @@
 					setColour(GREEN);
 			}
-		} else if (cat.equals("starboard")) {
+		} else if (cat.equals("starboard")) { //$NON-NLS-1$
 
 			setBuoyIndex(STARBOARD_HAND);
 
-			if (col.equals("green")) {
+			if (col.equals("green")) { //$NON-NLS-1$
 				setRegion(IALA_A);
 				setColour(GREEN);
-			} else if (col.equals("red")) {
+			} else if (col.equals("red")) { //$NON-NLS-1$
 				setRegion(IALA_B);
 				setColour(RED);
@@ -180,12 +181,12 @@
 					setColour(RED);
 			}
-		} else if (cat.equals("preferred_channel_port")) {
+		} else if (cat.equals("preferred_channel_port")) { //$NON-NLS-1$
 
 			setBuoyIndex(PREF_PORT_HAND);
 
-			if (col.equals("red;green;red")) {
+			if (col.equals("red;green;red")) { //$NON-NLS-1$
 				setRegion(IALA_A);
 				setColour(RED_GREEN_RED);
-			} else if (col.equals("green;red;green")) {
+			} else if (col.equals("green;red;green")) { //$NON-NLS-1$
 				setRegion(IALA_B);
 				setColour(GREEN_RED_GREEN);
@@ -197,12 +198,12 @@
 			}
 
-		} else if (cat.equals("preferred_channel_starboard")) {
+		} else if (cat.equals("preferred_channel_starboard")) { //$NON-NLS-1$
 
 			setBuoyIndex(PREF_STARBOARD_HAND);
 
-			if (col.equals("green;red;green")) {
+			if (col.equals("green;red;green")) { //$NON-NLS-1$
 				setRegion(IALA_A);
 				setColour(GREEN_RED_GREEN);
-			} else if (col.equals("red;green;red")) {
+			} else if (col.equals("red;green;red")) { //$NON-NLS-1$
 				setRegion(IALA_B);
 				setColour(RED_GREEN_RED);
@@ -215,57 +216,57 @@
 		}
 
-		if (keys.containsKey("seamark:buoy_lateral:shape")) {
-			str = keys.get("seamark:buoy_lateral:shape");
+		if (keys.containsKey("seamark:buoy_lateral:shape")) { //$NON-NLS-1$
+			str = keys.get("seamark:buoy_lateral:shape"); //$NON-NLS-1$
 
 			switch (getBuoyIndex()) {
 			case PORT_HAND:
-				if (str.equals("can"))
+				if (str.equals("can")) //$NON-NLS-1$
 					setStyleIndex(LAT_CAN);
-				else if (str.equals("pillar"))
+				else if (str.equals("pillar")) //$NON-NLS-1$
 					setStyleIndex(LAT_PILLAR);
-				else if (str.equals("spar"))
+				else if (str.equals("spar")) //$NON-NLS-1$
 					setStyleIndex(LAT_SPAR);
 				break;
 
 			case PREF_PORT_HAND:
-				if (str.equals("can"))
+				if (str.equals("can")) //$NON-NLS-1$
 					setStyleIndex(LAT_CAN);
-				else if (str.equals("pillar"))
+				else if (str.equals("pillar")) //$NON-NLS-1$
 					setStyleIndex(LAT_PILLAR);
-				else if (str.equals("spar"))
+				else if (str.equals("spar")) //$NON-NLS-1$
 					setStyleIndex(LAT_SPAR);
 				break;
 
 			case STARBOARD_HAND:
-				if (str.equals("conical"))
+				if (str.equals("conical")) //$NON-NLS-1$
 					setStyleIndex(LAT_CONE);
-				else if (str.equals("pillar"))
+				else if (str.equals("pillar")) //$NON-NLS-1$
 					setStyleIndex(LAT_PILLAR);
-				else if (str.equals("spar"))
+				else if (str.equals("spar")) //$NON-NLS-1$
 					setStyleIndex(LAT_SPAR);
 				break;
 
 			case PREF_STARBOARD_HAND:
-				if (str.equals("conical"))
+				if (str.equals("conical")) //$NON-NLS-1$
 					setStyleIndex(LAT_CONE);
-				else if (str.equals("pillar"))
+				else if (str.equals("pillar")) //$NON-NLS-1$
 					setStyleIndex(LAT_PILLAR);
-				else if (str.equals("spar"))
+				else if (str.equals("spar")) //$NON-NLS-1$
 					setStyleIndex(LAT_SPAR);
 				break;
 			}
-		} else if (keys.containsKey("seamark:beacon_lateral:shape")) {
-			str = keys.get("seamark:beacon_lateral:shape");
-			if (str.equals("tower"))
+		} else if (keys.containsKey("seamark:beacon_lateral:shape")) { //$NON-NLS-1$
+			str = keys.get("seamark:beacon_lateral:shape"); //$NON-NLS-1$
+			if (str.equals("tower")) //$NON-NLS-1$
 				setStyleIndex(LAT_TOWER);
-			else if (str.equals("perch"))
+			else if (str.equals("perch")) //$NON-NLS-1$
 				setStyleIndex(LAT_PERCH);
 			else
 				setStyleIndex(LAT_BEACON);
-		} else if (keys.containsKey("seamark:type")
-				&& (keys.get("seamark:type").equals("beacon_lateral"))) {
+		} else if (keys.containsKey("seamark:type") //$NON-NLS-1$
+				&& (keys.get("seamark:type").equals("beacon_lateral"))) { //$NON-NLS-1$ //$NON-NLS-2$
 			setStyleIndex(LAT_BEACON);
-		} else if (keys.containsKey("seamark:type")
-				&& (keys.get("seamark:type").equals("light_float"))) {
+		} else if (keys.containsKey("seamark:type") //$NON-NLS-1$
+				&& (keys.get("seamark:type").equals("light_float"))) { //$NON-NLS-1$ //$NON-NLS-2$
 			setStyleIndex(LAT_FLOAT);
 		}
@@ -273,12 +274,12 @@
 		refreshStyles();
 
-		if (keys.containsKey("seamark:light:colour")) {
-			setLightColour(keys.get("seamark:light:colour"));
+		if (keys.containsKey("seamark:light:colour")) { //$NON-NLS-1$
+			setLightColour(keys.get("seamark:light:colour")); //$NON-NLS-1$
 			setFired(true);
 		}
 
-		if (keys.containsKey("seamark:light:character")) {
+		if (keys.containsKey("seamark:light:character")) { //$NON-NLS-1$
 			setLightGroup(keys);
-			setLightChar(keys.get("seamark:light:character"));
+			setLightChar(keys.get("seamark:light:character")); //$NON-NLS-1$
 			setLightPeriod(keys);
 			setFired(true);
@@ -292,43 +293,43 @@
 
 		dlg.cbM01StyleOfMark.removeAllItems();
-		dlg.cbM01StyleOfMark.addItem("*Select Shape*");
+		dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.11")); //$NON-NLS-1$
 
 		switch (type) {
 		case PORT_HAND:
-			dlg.cbM01StyleOfMark.addItem("Can Buoy");
-			dlg.cbM01StyleOfMark.addItem("Pillar Buoy");
-			dlg.cbM01StyleOfMark.addItem("Spar Buoy");
-			dlg.cbM01StyleOfMark.addItem("Beacon");
-			dlg.cbM01StyleOfMark.addItem("Tower");
-			dlg.cbM01StyleOfMark.addItem("Float");
-			dlg.cbM01StyleOfMark.addItem("Perch");
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.02")); //$NON-NLS-1$
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.01")); //$NON-NLS-1$
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.04")); //$NON-NLS-1$
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.05")); //$NON-NLS-1$
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.06")); //$NON-NLS-1$
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.07")); //$NON-NLS-1$
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.10")); //$NON-NLS-1$
 			break;
 
 		case STARBOARD_HAND:
-			dlg.cbM01StyleOfMark.addItem("Cone Buoy");
-			dlg.cbM01StyleOfMark.addItem("Pillar Buoy");
-			dlg.cbM01StyleOfMark.addItem("Spar Buoy");
-			dlg.cbM01StyleOfMark.addItem("Beacon");
-			dlg.cbM01StyleOfMark.addItem("Tower");
-			dlg.cbM01StyleOfMark.addItem("Float");
-			dlg.cbM01StyleOfMark.addItem("Perch");
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.03")); //$NON-NLS-1$
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.01")); //$NON-NLS-1$
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.04")); //$NON-NLS-1$
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.05")); //$NON-NLS-1$
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.06")); //$NON-NLS-1$
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.07")); //$NON-NLS-1$
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.10")); //$NON-NLS-1$
 			break;
 
 		case PREF_PORT_HAND:
-			dlg.cbM01StyleOfMark.addItem("Can Buoy");
-			dlg.cbM01StyleOfMark.addItem("Pillar Buoy");
-			dlg.cbM01StyleOfMark.addItem("Spar Buoy");
-			dlg.cbM01StyleOfMark.addItem("Beacon");
-			dlg.cbM01StyleOfMark.addItem("Tower");
-			dlg.cbM01StyleOfMark.addItem("Float");
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.02")); //$NON-NLS-1$
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.01")); //$NON-NLS-1$
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.04")); //$NON-NLS-1$
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.05")); //$NON-NLS-1$
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.06")); //$NON-NLS-1$
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.07")); //$NON-NLS-1$
 			break;
 
 		case PREF_STARBOARD_HAND:
-			dlg.cbM01StyleOfMark.addItem("Cone Buoy");
-			dlg.cbM01StyleOfMark.addItem("Pillar Buoy");
-			dlg.cbM01StyleOfMark.addItem("Spar Buoy");
-			dlg.cbM01StyleOfMark.addItem("Beacon");
-			dlg.cbM01StyleOfMark.addItem("Tower");
-			dlg.cbM01StyleOfMark.addItem("Float");
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.03")); //$NON-NLS-1$
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.01")); //$NON-NLS-1$
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.04")); //$NON-NLS-1$
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.05")); //$NON-NLS-1$
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.06")); //$NON-NLS-1$
+			dlg.cbM01StyleOfMark.addItem(Messages.getString("Buoy.07")); //$NON-NLS-1$
 			break;
 
@@ -366,5 +367,5 @@
 			dlg.cM01Fired.setEnabled(true);
 
-			String image = "/images/Lateral";
+			String image = "/images/Lateral"; //$NON-NLS-1$
 
 			int cat = getBuoyIndex();
@@ -387,23 +388,23 @@
 					switch (style) {
 					case LAT_CAN:
-						image += "_Can_Red";
+						image += "_Can_Red"; //$NON-NLS-1$
 						break;
 					case LAT_PILLAR:
-						image += "_Pillar_Red";
+						image += "_Pillar_Red"; //$NON-NLS-1$
 						break;
 					case LAT_SPAR:
-						image += "_Spar_Red";
+						image += "_Spar_Red"; //$NON-NLS-1$
 						break;
 					case LAT_BEACON:
-						image += "_Beacon_Red";
+						image += "_Beacon_Red"; //$NON-NLS-1$
 						break;
 					case LAT_TOWER:
-						image += "_Tower_Red";
+						image += "_Tower_Red"; //$NON-NLS-1$
 						break;
 					case LAT_FLOAT:
-						image += "_Float_Red";
+						image += "_Float_Red"; //$NON-NLS-1$
 						break;
 					case LAT_PERCH:
-						image += "_Perch_Port";
+						image += "_Perch_Port"; //$NON-NLS-1$
 						break;
 					default:
@@ -412,23 +413,23 @@
 					switch (style) {
 					case LAT_CAN:
-						image += "_Can_Green";
+						image += "_Can_Green"; //$NON-NLS-1$
 						break;
 					case LAT_PILLAR:
-						image += "_Pillar_Green";
+						image += "_Pillar_Green"; //$NON-NLS-1$
 						break;
 					case LAT_SPAR:
-						image += "_Spar_Green";
+						image += "_Spar_Green"; //$NON-NLS-1$
 						break;
 					case LAT_BEACON:
-						image += "_Beacon_Green";
+						image += "_Beacon_Green"; //$NON-NLS-1$
 						break;
 					case LAT_TOWER:
-						image += "_Tower_Green";
+						image += "_Tower_Green"; //$NON-NLS-1$
 						break;
 					case LAT_FLOAT:
-						image += "_Float_Green";
+						image += "_Float_Green"; //$NON-NLS-1$
 						break;
 					case LAT_PERCH:
-						image += "_Perch_Port";
+						image += "_Perch_Port"; //$NON-NLS-1$
 						break;
 					default:
@@ -440,23 +441,23 @@
 					switch (style) {
 					case LAT_CONE:
-						image += "_Cone_Green";
+						image += "_Cone_Green"; //$NON-NLS-1$
 						break;
 					case LAT_PILLAR:
-						image += "_Pillar_Green";
+						image += "_Pillar_Green"; //$NON-NLS-1$
 						break;
 					case LAT_SPAR:
-						image += "_Spar_Green";
+						image += "_Spar_Green"; //$NON-NLS-1$
 						break;
 					case LAT_BEACON:
-						image += "_Beacon_Green";
+						image += "_Beacon_Green"; //$NON-NLS-1$
 						break;
 					case LAT_TOWER:
-						image += "_Tower_Green";
+						image += "_Tower_Green"; //$NON-NLS-1$
 						break;
 					case LAT_FLOAT:
-						image += "_Float_Green";
+						image += "_Float_Green"; //$NON-NLS-1$
 						break;
 					case LAT_PERCH:
-						image += "_Perch_Starboard";
+						image += "_Perch_Starboard"; //$NON-NLS-1$
 						break;
 					default:
@@ -465,23 +466,23 @@
 					switch (style) {
 					case LAT_CONE:
-						image += "_Cone_Red";
+						image += "_Cone_Red"; //$NON-NLS-1$
 						break;
 					case LAT_PILLAR:
-						image += "_Pillar_Red";
+						image += "_Pillar_Red"; //$NON-NLS-1$
 						break;
 					case LAT_SPAR:
-						image += "_Spar_Red";
+						image += "_Spar_Red"; //$NON-NLS-1$
 						break;
 					case LAT_BEACON:
-						image += "_Beacon_Red";
+						image += "_Beacon_Red"; //$NON-NLS-1$
 						break;
 					case LAT_TOWER:
-						image += "_Tower_Red";
+						image += "_Tower_Red"; //$NON-NLS-1$
 						break;
 					case LAT_FLOAT:
-						image += "_Float_Red";
+						image += "_Float_Red"; //$NON-NLS-1$
 						break;
 					case LAT_PERCH:
-						image += "_Perch_Starboard";
+						image += "_Perch_Starboard"; //$NON-NLS-1$
 						break;
 					default:
@@ -493,20 +494,20 @@
 					switch (style) {
 					case LAT_CAN:
-						image += "_Can_Red_Green_Red";
+						image += "_Can_Red_Green_Red"; //$NON-NLS-1$
 						break;
 					case LAT_PILLAR:
-						image += "_Pillar_Red_Green_Red";
+						image += "_Pillar_Red_Green_Red"; //$NON-NLS-1$
 						break;
 					case LAT_SPAR:
-						image += "_Spar_Red_Green_Red";
+						image += "_Spar_Red_Green_Red"; //$NON-NLS-1$
 						break;
 					case LAT_BEACON:
-						image += "_Beacon_Red_Green_Red";
+						image += "_Beacon_Red_Green_Red"; //$NON-NLS-1$
 						break;
 					case LAT_TOWER:
-						image += "_Tower_Red_Green_Red";
+						image += "_Tower_Red_Green_Red"; //$NON-NLS-1$
 						break;
 					case LAT_FLOAT:
-						image += "_Float_Red_Green_Red";
+						image += "_Float_Red_Green_Red"; //$NON-NLS-1$
 						break;
 					default:
@@ -515,20 +516,20 @@
 					switch (style) {
 					case LAT_CAN:
-						image += "_Can_Green_Red_Green";
+						image += "_Can_Green_Red_Green"; //$NON-NLS-1$
 						break;
 					case LAT_PILLAR:
-						image += "_Pillar_Green_Red_Green";
+						image += "_Pillar_Green_Red_Green"; //$NON-NLS-1$
 						break;
 					case LAT_SPAR:
-						image += "_Spar_Green_Red_Green";
+						image += "_Spar_Green_Red_Green"; //$NON-NLS-1$
 						break;
 					case LAT_BEACON:
-						image += "_Beacon_Green_Red_Green";
+						image += "_Beacon_Green_Red_Green"; //$NON-NLS-1$
 						break;
 					case LAT_TOWER:
-						image += "_Tower_Green_Red_Green";
+						image += "_Tower_Green_Red_Green"; //$NON-NLS-1$
 						break;
 					case LAT_FLOAT:
-						image += "_Float_Green_Red_Green";
+						image += "_Float_Green_Red_Green"; //$NON-NLS-1$
 						break;
 					default:
@@ -540,20 +541,20 @@
 					switch (style) {
 					case LAT_CONE:
-						image += "_Cone_Green_Red_Green";
+						image += "_Cone_Green_Red_Green"; //$NON-NLS-1$
 						break;
 					case LAT_PILLAR:
-						image += "_Pillar_Green_Red_Green";
+						image += "_Pillar_Green_Red_Green"; //$NON-NLS-1$
 						break;
 					case LAT_SPAR:
-						image += "_Spar_Green_Red_Green";
+						image += "_Spar_Green_Red_Green"; //$NON-NLS-1$
 						break;
 					case LAT_BEACON:
-						image += "_Beacon_Green_Red_Green";
+						image += "_Beacon_Green_Red_Green"; //$NON-NLS-1$
 						break;
 					case LAT_TOWER:
-						image += "_Tower_Green_Red_Green";
+						image += "_Tower_Green_Red_Green"; //$NON-NLS-1$
 						break;
 					case LAT_FLOAT:
-						image += "_Float_Green_Red_Green";
+						image += "_Float_Green_Red_Green"; //$NON-NLS-1$
 						break;
 					default:
@@ -562,20 +563,20 @@
 					switch (style) {
 					case LAT_CONE:
-						image += "_Cone_Red_Green_Red";
+						image += "_Cone_Red_Green_Red"; //$NON-NLS-1$
 						break;
 					case LAT_PILLAR:
-						image += "_Pillar_Red_Green_Red";
+						image += "_Pillar_Red_Green_Red"; //$NON-NLS-1$
 						break;
 					case LAT_SPAR:
-						image += "_Spar_Red_Green_Red";
+						image += "_Spar_Red_Green_Red"; //$NON-NLS-1$
 						break;
 					case LAT_BEACON:
-						image += "_Beacon_Red_Green_Red";
+						image += "_Beacon_Red_Green_Red"; //$NON-NLS-1$
 						break;
 					case LAT_TOWER:
-						image += "_Tower_Red_Green_Red";
+						image += "_Tower_Red_Green_Red"; //$NON-NLS-1$
 						break;
 					case LAT_FLOAT:
-						image += "_Float_Red_Green_Red";
+						image += "_Float_Red_Green_Red"; //$NON-NLS-1$
 						break;
 					default:
@@ -586,18 +587,18 @@
 			}
 
-			if (!image.equals("/images/Lateral")) {
+			if (!image.equals("/images/Lateral")) { //$NON-NLS-1$
 
 				if (hasTopMark()) {
 					if (cat == PORT_HAND || cat == PREF_PORT_HAND)
-						image += "_Can";
+						image += "_Can"; //$NON-NLS-1$
 					else
-						image += "_Cone";
-				}
-				image += ".png";
+						image += "_Cone"; //$NON-NLS-1$
+				}
+				image += ".png"; //$NON-NLS-1$
 				dlg.lM01Icon.setIcon(new ImageIcon(getClass().getResource(image)));
 
 				if (hasRadar()) {
 					dlg.lM03Icon.setIcon(new ImageIcon(getClass().getResource(
-							"/images/Radar_Reflector.png")));
+							"/images/Radar_Reflector.png"))); //$NON-NLS-1$
 				}
 
@@ -615,6 +616,6 @@
 
 		int cat = getBuoyIndex();
-		String shape = "";
-		String colour = "";
+		String shape = ""; //$NON-NLS-1$
+		String colour = ""; //$NON-NLS-1$
 
 		switch (cat) {
@@ -623,33 +624,33 @@
 			switch (getStyleIndex()) {
 			case LAT_CAN:
-				super.saveSign("buoy_lateral");
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:shape", "can"));
+				super.saveSign("buoy_lateral"); //$NON-NLS-1$
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:shape", "can")); //$NON-NLS-1$ //$NON-NLS-2$
 				break;
 			case LAT_PILLAR:
-				super.saveSign("buoy_lateral");
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:shape", "pillar"));
+				super.saveSign("buoy_lateral"); //$NON-NLS-1$
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:shape", "pillar")); //$NON-NLS-1$ //$NON-NLS-2$
 				break;
 			case LAT_SPAR:
-				super.saveSign("buoy_lateral");
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:shape", "spar"));
+				super.saveSign("buoy_lateral"); //$NON-NLS-1$
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:shape", "spar")); //$NON-NLS-1$ //$NON-NLS-2$
 				break;
 			case LAT_BEACON:
-				super.saveSign("beacon_lateral");
+				super.saveSign("beacon_lateral"); //$NON-NLS-1$
 				break;
 			case LAT_TOWER:
-				super.saveSign("beacon_lateral");
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:shape", "tower"));
+				super.saveSign("beacon_lateral"); //$NON-NLS-1$
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:beacon_lateral:shape", "tower")); //$NON-NLS-1$ //$NON-NLS-2$
 				break;
 			case LAT_FLOAT:
-				super.saveSign("light_float");
+				super.saveSign("light_float"); //$NON-NLS-1$
 				break;
 			case LAT_PERCH:
-				super.saveSign("beacon_lateral");
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:shape", "perch"));
+				super.saveSign("beacon_lateral"); //$NON-NLS-1$
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:beacon_lateral:shape", "perch")); //$NON-NLS-1$ //$NON-NLS-2$
 				break;
 			default:
@@ -660,31 +661,31 @@
 			case LAT_SPAR:
 				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:category", "port"));
-				if (getRegion() == IALA_A) {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:buoy_lateral:colour", "red"));
-					colour = "red";
-				} else {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:buoy_lateral:colour", "green"));
-					colour = "green";
+						"seamark:buoy_lateral:category", "port")); //$NON-NLS-1$ //$NON-NLS-2$
+				if (getRegion() == IALA_A) {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:buoy_lateral:colour", "red")); //$NON-NLS-1$ //$NON-NLS-2$
+					colour = "red"; //$NON-NLS-1$
+				} else {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:buoy_lateral:colour", "green")); //$NON-NLS-1$ //$NON-NLS-2$
+					colour = "green"; //$NON-NLS-1$
 				}
 				break;
 			case LAT_PERCH:
 				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:category", "port"));
+						"seamark:beacon_lateral:category", "port")); //$NON-NLS-1$ //$NON-NLS-2$
 				break;
 			case LAT_BEACON:
 			case LAT_TOWER:
 				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:category", "port"));
-				if (getRegion() == IALA_A) {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:beacon_lateral:colour", "red"));
-					colour = "red";
-				} else {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:beacon_lateral:colour", "green"));
-					colour = "green";
+						"seamark:beacon_lateral:category", "port")); //$NON-NLS-1$ //$NON-NLS-2$
+				if (getRegion() == IALA_A) {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:beacon_lateral:colour", "red")); //$NON-NLS-1$ //$NON-NLS-2$
+					colour = "red"; //$NON-NLS-1$
+				} else {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:beacon_lateral:colour", "green")); //$NON-NLS-1$ //$NON-NLS-2$
+					colour = "green"; //$NON-NLS-1$
 				}
 				break;
@@ -692,14 +693,14 @@
 				if (getRegion() == IALA_A) {
 					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:light_float:colour", "red"));
-					colour = "red";
-				} else {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:light_float:colour", "green"));
-					colour = "green";
-				}
-				break;
-			}
-			shape = "cylinder";
+							"seamark:light_float:colour", "red")); //$NON-NLS-1$ //$NON-NLS-2$
+					colour = "red"; //$NON-NLS-1$
+				} else {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:light_float:colour", "green")); //$NON-NLS-1$ //$NON-NLS-2$
+					colour = "green"; //$NON-NLS-1$
+				}
+				break;
+			}
+			shape = "cylinder"; //$NON-NLS-1$
 			break;
 
@@ -707,28 +708,28 @@
 			switch (getStyleIndex()) {
 			case LAT_CAN:
-				super.saveSign("buoy_lateral");
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:shape", "can"));
+				super.saveSign("buoy_lateral"); //$NON-NLS-1$
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:shape", "can")); //$NON-NLS-1$ //$NON-NLS-2$
 				break;
 			case LAT_PILLAR:
-				super.saveSign("buoy_lateral");
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:shape", "pillar"));
+				super.saveSign("buoy_lateral"); //$NON-NLS-1$
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:shape", "pillar")); //$NON-NLS-1$ //$NON-NLS-2$
 				break;
 			case LAT_SPAR:
-				super.saveSign("buoy_lateral");
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:shape", "spar"));
+				super.saveSign("buoy_lateral"); //$NON-NLS-1$
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:shape", "spar")); //$NON-NLS-1$ //$NON-NLS-2$
 				break;
 			case LAT_BEACON:
-				super.saveSign("beacon_lateral");
+				super.saveSign("beacon_lateral"); //$NON-NLS-1$
 				break;
 			case LAT_TOWER:
-				super.saveSign("beacon_lateral");
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:shape", "tower"));
+				super.saveSign("beacon_lateral"); //$NON-NLS-1$
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:beacon_lateral:shape", "tower")); //$NON-NLS-1$ //$NON-NLS-2$
 				break;
 			case LAT_FLOAT:
-				super.saveSign("light_float");
+				super.saveSign("light_float"); //$NON-NLS-1$
 				break;
 			default:
@@ -739,15 +740,15 @@
 			case LAT_SPAR:
 				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:category", "preferred_channel_port"));
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:colour_pattern", "horizontal stripes"));
-				if (getRegion() == IALA_A) {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:buoy_lateral:colour", "red;green;red"));
-					colour = "red";
-				} else {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:buoy_lateral:colour", "green;red;green"));
-					colour = "green";
+						"seamark:buoy_lateral:category", "preferred_channel_port")); //$NON-NLS-1$ //$NON-NLS-2$
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:colour_pattern", "horizontal stripes")); //$NON-NLS-1$ //$NON-NLS-2$
+				if (getRegion() == IALA_A) {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:buoy_lateral:colour", "red;green;red")); //$NON-NLS-1$ //$NON-NLS-2$
+					colour = "red"; //$NON-NLS-1$
+				} else {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:buoy_lateral:colour", "green;red;green")); //$NON-NLS-1$ //$NON-NLS-2$
+					colour = "green"; //$NON-NLS-1$
 				}
 				break;
@@ -755,32 +756,32 @@
 			case LAT_TOWER:
 				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:category", "preferred_channel_port"));
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:colour_pattern", "horizontal stripes"));
-				if (getRegion() == IALA_A) {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:beacon_lateral:colour", "red;green;red"));
-					colour = "red";
-				} else {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:beacon_lateral:colour", "green;red;green"));
-					colour = "green";
+						"seamark:beacon_lateral:category", "preferred_channel_port")); //$NON-NLS-1$ //$NON-NLS-2$
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:beacon_lateral:colour_pattern", "horizontal stripes")); //$NON-NLS-1$ //$NON-NLS-2$
+				if (getRegion() == IALA_A) {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:beacon_lateral:colour", "red;green;red")); //$NON-NLS-1$ //$NON-NLS-2$
+					colour = "red"; //$NON-NLS-1$
+				} else {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:beacon_lateral:colour", "green;red;green")); //$NON-NLS-1$ //$NON-NLS-2$
+					colour = "green"; //$NON-NLS-1$
 				}
 				break;
 			case LAT_FLOAT:
 				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:light_float:colour_pattern", "horizontal stripes"));
-				if (getRegion() == IALA_A) {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:light_float:colour", "red;green;red"));
-					colour = "red";
-				} else {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:light_float:colour", "green;red;green"));
-					colour = "green";
-				}
-				break;
-			}
-			shape = "cylinder";
+						"seamark:light_float:colour_pattern", "horizontal stripes")); //$NON-NLS-1$ //$NON-NLS-2$
+				if (getRegion() == IALA_A) {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:light_float:colour", "red;green;red")); //$NON-NLS-1$ //$NON-NLS-2$
+					colour = "red"; //$NON-NLS-1$
+				} else {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:light_float:colour", "green;red;green")); //$NON-NLS-1$ //$NON-NLS-2$
+					colour = "green"; //$NON-NLS-1$
+				}
+				break;
+			}
+			shape = "cylinder"; //$NON-NLS-1$
 			break;
 
@@ -788,35 +789,35 @@
 			switch (getStyleIndex()) {
 			case LAT_CONE:
-				super.saveSign("buoy_lateral");
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:shape", "conical"));
+				super.saveSign("buoy_lateral"); //$NON-NLS-1$
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:shape", "conical")); //$NON-NLS-1$ //$NON-NLS-2$
 				break;
 			case LAT_PILLAR:
-				super.saveSign("buoy_lateral");
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:shape", "pillar"));
+				super.saveSign("buoy_lateral"); //$NON-NLS-1$
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:shape", "pillar")); //$NON-NLS-1$ //$NON-NLS-2$
 				break;
 			case LAT_SPAR:
-				super.saveSign("buoy_lateral");
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:shape", "spar"));
+				super.saveSign("buoy_lateral"); //$NON-NLS-1$
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:shape", "spar")); //$NON-NLS-1$ //$NON-NLS-2$
 				break;
 			case LAT_BEACON:
-				super.saveSign("beacon_lateral");
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:shape", "stake"));
+				super.saveSign("beacon_lateral"); //$NON-NLS-1$
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:beacon_lateral:shape", "stake")); //$NON-NLS-1$ //$NON-NLS-2$
 				break;
 			case LAT_TOWER:
-				super.saveSign("beacon_lateral");
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:shape", "tower"));
+				super.saveSign("beacon_lateral"); //$NON-NLS-1$
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:beacon_lateral:shape", "tower")); //$NON-NLS-1$ //$NON-NLS-2$
 				break;
 			case LAT_FLOAT:
-				super.saveSign("light_float");
+				super.saveSign("light_float"); //$NON-NLS-1$
 				break;
 			case LAT_PERCH:
-				super.saveSign("beacon_lateral");
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:shape", "perch"));
+				super.saveSign("beacon_lateral"); //$NON-NLS-1$
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:beacon_lateral:shape", "perch")); //$NON-NLS-1$ //$NON-NLS-2$
 				break;
 			default:
@@ -827,13 +828,13 @@
 			case LAT_SPAR:
 				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:category", "starboard"));
-				if (getRegion() == IALA_A) {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:buoy_lateral:colour", "green"));
-					colour = "green";
-				} else {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:buoy_lateral:colour", "red"));
-					colour = "red";
+						"seamark:buoy_lateral:category", "starboard")); //$NON-NLS-1$ //$NON-NLS-2$
+				if (getRegion() == IALA_A) {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:buoy_lateral:colour", "green")); //$NON-NLS-1$ //$NON-NLS-2$
+					colour = "green"; //$NON-NLS-1$
+				} else {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:buoy_lateral:colour", "red")); //$NON-NLS-1$ //$NON-NLS-2$
+					colour = "red"; //$NON-NLS-1$
 				}
 				break;
@@ -841,13 +842,13 @@
 			case LAT_TOWER:
 				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:category", "starboard"));
-				if (getRegion() == IALA_A) {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:beacon_lateral:colour", "green"));
-					colour = "green";
-				} else {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:beacon_lateral:colour", "red"));
-					colour = "red";
+						"seamark:beacon_lateral:category", "starboard")); //$NON-NLS-1$ //$NON-NLS-2$
+				if (getRegion() == IALA_A) {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:beacon_lateral:colour", "green")); //$NON-NLS-1$ //$NON-NLS-2$
+					colour = "green"; //$NON-NLS-1$
+				} else {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:beacon_lateral:colour", "red")); //$NON-NLS-1$ //$NON-NLS-2$
+					colour = "red"; //$NON-NLS-1$
 				}
 				break;
@@ -855,18 +856,18 @@
 				if (getRegion() == IALA_A) {
 					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:light_float:colour", "green"));
-					colour = "green";
-				} else {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:light_float:colour", "red"));
-					colour = "red";
+							"seamark:light_float:colour", "green")); //$NON-NLS-1$ //$NON-NLS-2$
+					colour = "green"; //$NON-NLS-1$
+				} else {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:light_float:colour", "red")); //$NON-NLS-1$ //$NON-NLS-2$
+					colour = "red"; //$NON-NLS-1$
 				}
 				break;
 			case LAT_PERCH:
 				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:category", "starboard"));
-				break;
-			}
-			shape = "cone, point up";
+						"seamark:beacon_lateral:category", "starboard")); //$NON-NLS-1$ //$NON-NLS-2$
+				break;
+			}
+			shape = "cone, point up"; //$NON-NLS-1$
 			break;
 
@@ -874,30 +875,30 @@
 			switch (getStyleIndex()) {
 			case LAT_CONE:
-				super.saveSign("buoy_lateral");
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:shape", "conical"));
+				super.saveSign("buoy_lateral"); //$NON-NLS-1$
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:shape", "conical")); //$NON-NLS-1$ //$NON-NLS-2$
 				break;
 			case LAT_PILLAR:
-				super.saveSign("buoy_lateral");
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:shape", "pillar"));
+				super.saveSign("buoy_lateral"); //$NON-NLS-1$
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:shape", "pillar")); //$NON-NLS-1$ //$NON-NLS-2$
 				break;
 			case LAT_SPAR:
-				super.saveSign("buoy_lateral");
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:shape", "spar"));
+				super.saveSign("buoy_lateral"); //$NON-NLS-1$
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:shape", "spar")); //$NON-NLS-1$ //$NON-NLS-2$
 				break;
 			case LAT_BEACON:
-				super.saveSign("beacon_lateral");
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:shape", "stake"));
+				super.saveSign("beacon_lateral"); //$NON-NLS-1$
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:beacon_lateral:shape", "stake")); //$NON-NLS-1$ //$NON-NLS-2$
 				break;
 			case LAT_TOWER:
-				super.saveSign("beacon_lateral");
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:shape", "tower"));
+				super.saveSign("beacon_lateral"); //$NON-NLS-1$
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:beacon_lateral:shape", "tower")); //$NON-NLS-1$ //$NON-NLS-2$
 				break;
 			case LAT_FLOAT:
-				super.saveSign("light_float");
+				super.saveSign("light_float"); //$NON-NLS-1$
 				break;
 			default:
@@ -908,15 +909,15 @@
 			case LAT_SPAR:
 				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:category", "preferred_channel_starboard"));
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:buoy_lateral:colour_pattern", "horizontal stripes"));
-				if (getRegion() == IALA_A) {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:buoy_lateral:colour", "green;red;green"));
-					colour = "green";
-				} else {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:buoy_lateral:colour", "red;green;red"));
-					colour = "red";
+						"seamark:buoy_lateral:category", "preferred_channel_starboard")); //$NON-NLS-1$ //$NON-NLS-2$
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:buoy_lateral:colour_pattern", "horizontal stripes")); //$NON-NLS-1$ //$NON-NLS-2$
+				if (getRegion() == IALA_A) {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:buoy_lateral:colour", "green;red;green")); //$NON-NLS-1$ //$NON-NLS-2$
+					colour = "green"; //$NON-NLS-1$
+				} else {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:buoy_lateral:colour", "red;green;red")); //$NON-NLS-1$ //$NON-NLS-2$
+					colour = "red"; //$NON-NLS-1$
 				}
 				break;
@@ -924,32 +925,32 @@
 			case LAT_TOWER:
 				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:category", "preferred_channel_starboard"));
-				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:beacon_lateral:colour_pattern", "horizontal stripes"));
-				if (getRegion() == IALA_A) {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:beacon_lateral:colour", "green;red;green"));
-					colour = "green";
-				} else {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:beacon_lateral:colour", "red;green;red"));
-					colour = "red";
+						"seamark:beacon_lateral:category", "preferred_channel_starboard")); //$NON-NLS-1$ //$NON-NLS-2$
+				Main.main.undoRedo.add(new ChangePropertyCommand(node,
+						"seamark:beacon_lateral:colour_pattern", "horizontal stripes")); //$NON-NLS-1$ //$NON-NLS-2$
+				if (getRegion() == IALA_A) {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:beacon_lateral:colour", "green;red;green")); //$NON-NLS-1$ //$NON-NLS-2$
+					colour = "green"; //$NON-NLS-1$
+				} else {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:beacon_lateral:colour", "red;green;red")); //$NON-NLS-1$ //$NON-NLS-2$
+					colour = "red"; //$NON-NLS-1$
 				}
 				break;
 			case LAT_FLOAT:
 				Main.main.undoRedo.add(new ChangePropertyCommand(node,
-						"seamark:light_float:colour_pattern", "horizontal stripes"));
-				if (getRegion() == IALA_A) {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:light_float:colour", "green;red;green"));
-					colour = "green";
-				} else {
-					Main.main.undoRedo.add(new ChangePropertyCommand(node,
-							"seamark:light_float:colour", "red;green;red"));
-					colour = "red";
-				}
-				break;
-			}
-			shape = "cone, point up";
+						"seamark:light_float:colour_pattern", "horizontal stripes")); //$NON-NLS-1$ //$NON-NLS-2$
+				if (getRegion() == IALA_A) {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:light_float:colour", "green;red;green")); //$NON-NLS-1$ //$NON-NLS-2$
+					colour = "green"; //$NON-NLS-1$
+				} else {
+					Main.main.undoRedo.add(new ChangePropertyCommand(node,
+							"seamark:light_float:colour", "red;green;red")); //$NON-NLS-1$ //$NON-NLS-2$
+					colour = "red"; //$NON-NLS-1$
+				}
+				break;
+			}
+			shape = "cone, point up"; //$NON-NLS-1$
 			break;
 
@@ -960,5 +961,5 @@
 		saveLightData(colour);
 
-		Main.pref.put("tomsplugin.IALA", getRegion() ? "B" : "A");
+		Main.pref.put("tomsplugin.IALA", getRegion() ? "B" : "A"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 	}
 
@@ -966,12 +967,12 @@
 		if (getRegion() == IALA_A) {
 			if (getBuoyIndex() == PORT_HAND || getBuoyIndex() == PREF_PORT_HAND)
-				super.setLightColour("R");
+				super.setLightColour("R"); //$NON-NLS-1$
 			else
-				super.setLightColour("G");
+				super.setLightColour("G"); //$NON-NLS-1$
 		} else {
 			if (getBuoyIndex() == PORT_HAND || getBuoyIndex() == PREF_PORT_HAND)
-				super.setLightColour("G");
+				super.setLightColour("G"); //$NON-NLS-1$
 			else
-				super.setLightColour("R");
+				super.setLightColour("R"); //$NON-NLS-1$
 		}
 	}
@@ -988,16 +989,16 @@
 		case PREF_PORT_HAND:
 			if (getRegion() == IALA_A) {
-				if (str.equals("red")) {
+				if (str.equals("red")) { //$NON-NLS-1$
 					setFired(true);
-					super.setLightColour("R");
-				} else {
-					super.setLightColour("");
+					super.setLightColour("R"); //$NON-NLS-1$
+				} else {
+					super.setLightColour(""); //$NON-NLS-1$
 				}
 			} else {
-				if (str.equals("green")) {
+				if (str.equals("green")) { //$NON-NLS-1$
 					setFired(true);
-					super.setLightColour("G");
-				} else {
-					super.setLightColour("");
+					super.setLightColour("G"); //$NON-NLS-1$
+				} else {
+					super.setLightColour(""); //$NON-NLS-1$
 				}
 			}
@@ -1007,16 +1008,16 @@
 		case PREF_STARBOARD_HAND:
 			if (getRegion() == IALA_A) {
-				if (str.equals("green")) {
+				if (str.equals("green")) { //$NON-NLS-1$
 					setFired(true);
-					super.setLightColour("G");
-				} else {
-					super.setLightColour("");
+					super.setLightColour("G"); //$NON-NLS-1$
+				} else {
+					super.setLightColour(""); //$NON-NLS-1$
 				}
 			} else {
-				if (str.equals("red")) {
+				if (str.equals("red")) { //$NON-NLS-1$
 					setFired(true);
-					super.setLightColour("R");
-				} else {
-					super.setLightColour("");
+					super.setLightColour("R"); //$NON-NLS-1$
+				} else {
+					super.setLightColour(""); //$NON-NLS-1$
 				}
 			}
